%define upstream_name    PerlIO-utf8_strict
%define upstream_version 0.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Fast and correct UTF-8 IO
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default ':utf8' layer it checks the input for correctness.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# %__perl Makefile.PL INSTALLDIRS=vendor
%{__perl} Makefile.PL INSTALLDIRS=vendor

# %make_build
%make_build

%check
# %make_build test
%__make test

%install
# %make_install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.10.0-4.mga10
+ Revision: 2088200
- Rebuild against new perl
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.10.0-2.mga10
+ Revision: 2010590
- Rebuild for perl-5.38

* Tue Nov 01 2022 tv <tv> 0.10.0-1.mga9
+ Revision: 1900801
- update to 0.010

* Tue Jun 07 2022 umeabot <umeabot> 0.9.0-3.mga9
+ Revision: 1862277
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.9.0-2.mga9
+ Revision: 1796839
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 0.9.0-1.mga9
+ Revision: 1767719
- update to 0.009

* Mon May 24 2021 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1727008
- Rebuild for perl 5.34

* Sat Sep 19 2020 tv <tv> 0.8.0-1.mga8
+ Revision: 1628690
- update to 0.008

* Wed Jun 17 2020 umeabot <umeabot> 0.7.0-8.mga8
+ Revision: 1595139
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.7.0-7.mga8
+ Revision: 1529037
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.7.0-6.mga8
+ Revision: 1433046
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.7.0-5.mga7
+ Revision: 1293656
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 0.7.0-4.mga7
+ Revision: 1248018
- Rebuild for new perl 5.28.0

* Tue Oct 03 2017 tv <tv> 0.7.0-3.mga7
+ Revision: 1166183
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.7.0-2.mga7
+ Revision: 1149107
- Rebuild for perl ABI changes

* Fri Jul 28 2017 shlomif <shlomif> 0.7.0-1.mga7
+ Revision: 1131770
- New version 0.007

* Sat Jul 22 2017 neoclust <neoclust> 0.6.0-5.mga7
+ Revision: 1127302
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-4.mga6
+ Revision: 1031976
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.6.0-3.mga6
+ Revision: 957883
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.6.0-2.mga6
+ Revision: 845124
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 841197
- New version 0.006 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 0.4.0-7.mga5
+ Revision: 790604
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 748282
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.4.0-5.mga5
+ Revision: 733258
- add exclude

* Sat Sep 27 2014 tv <tv> 0.4.0-4.mga5
+ Revision: 725837
- rebuild for missing provides

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 685961
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.4.0-2.mga5
+ Revision: 631604
- Rebuild for perl 5.20

* Tue Feb 25 2014 jquelin <jquelin> 0.4.0-1.mga5
+ Revision: 596866
- adding missing buildrequires:
- imported package perl-PerlIO-utf8_strict


* Tue Feb 25 2014 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
